Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class Transformers

    java.lang.Object
      org.hibernate.transform.Transformers

    public final class Transformers

extends Object

Field Summary
`static AliasToEntityMapResultTransformer` | `ALIAS_TO_ENTITY_MAP` Each row of results is a `Map` from alias to values/entities
`static ToListResultTransformer` | `TO_LIST` Each row of results is a `List`

Method Summary
`static ResultTransformer` | `aliasToBean(Class target)` Creates a resulttransformer that will inject aliased values into instances of Class via property methods or fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIAS_TO_ENTITY_MAP

    public static final AliasToEntityMapResultTransformer ALIAS_TO_ENTITY_MAP

  Each row of results is a `Map` from alias to values/entities

### TO_LIST

    public static final ToListResultTransformer TO_LIST

  Each row of results is a `List`

Method Detail

### aliasToBean

    public static ResultTransformer aliasToBean(Class target)

  Creates a resulttransformer that will inject aliased values into instances of Class via property methods or fields.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.